/**
 @file GraphicsData.h

 Dojo Game Engine

 Copyright 2005, Morgan McGuire
 All rights reserved.
 */

#ifndef DOJO_STICKFIGURE_H
#define DOJO_STICKFIGURE_H

#include "dojo/Entity.h"

namespace dojo {

class StickFigure : public Entity {
protected:

    StickFigure(const std::string& name);

public:

    static EntityRef create(const std::string& name) {
        return EntityRef(new StickFigure(name));
    }
};

} // namespace

#endif
